<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-08-24T00:11:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Tested with  datapro versions 4.2.346.50341 and 4.3.42.50342 , the datapro 4.0 50332 was not available on the server at this time. I opened a second case 36888 to track the fix in  4.0 50332 sqa can test when it is available on the build server, it was not there today when checking.

Tested by importing an isf file with ids that matched ids on a sps , and verifying imported test shows no errors except the expected  error when  Tsr recording modes are the only modes available.
Imported with clock sync enabled in system settings and also tested isf import when importing and running datapro as a tsr air user , The test imports but gives message "Test uses recording modes that are not available"  as expected.



</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2024-02-10T02:25:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-10T02:18:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-02-02T22:43:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2024-02-02T21:53:45Z</TimeStamp>
    <ReleaseNote>Addresses an issue with ISF import and ValidateClockSyncProfiles</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T18:45:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>thought of what might be relevant to duplicating - I think GM may delete all hardware between runs of ISF import, also they tend to use "golden databases" which maybe don't have hardware in them?  would consider using a blank database in GM setup mode or deleting all hardware as part of trying to duplicate.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T16:40:41Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.2/4.3@50332</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2024-02-02T01:03:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>I've added protection around the dictionary access in this function.  Additionally if the clock sync profile is set to none it will now return from this function right away.  Additionally additionally it will now also check that a DAS is set as master if the clock master input profile is set.
 
 
 
to see the clock sync profile settings in edit test setup, enable it in system settings.
 
 
new warning looks like this:
 
 
I'm going to remove the "currently" text before committing as it's not needed.
 
I have no guidance on how to duplicate as I haven't been able to reproduce at all anymore.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T00:40:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment>2024-01-26 10:54:18.290 Test Setup validation error in ValidateClockSyncProfiles: The given key was not present in the dictionary.
  
 2024-01-26 10:54:20.532 Test Setup validation error in ValidateClockSyncProfiles: The given key was not present in the dictionary.
  
 2024-01-26 10:54:20.668 Test Setup validation error in ValidateClockSyncProfiles: The given key was not present in the dictionary.
  
 2024-01-26 10:54:20.674 ModalWindow: Test Setup validation error in ValidateClockSyncProfiles
  
 2024-01-26 10:54:24.201 User GM Operator pressed PageButton:DataProPage_ModalWindow_OK</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T00:25:18Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T00:23:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>my install was set up for TSR AIR, haven't been able to duplicate since ... have closed and restarted, started from multiple times ...</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T00:08:32Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>here's what it looks like:</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-01T23:56:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-31T18:34:15Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-30T22:20:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-01-30T22:17:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-30T22:05:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-01-30T19:05:24Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment>Upon completion of ISF import to a Test Setup, DataPRO throws the error:
 
 
“Test Setup validation error in ValidateClockSyncProfiles”
 
This only happens once per DataPRO session</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2024-01-30T19:05:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>